from pyuspostalservice.endpoints.base.base_endpoint import USPSEndpoint
from pyuspostalservice.endpoints.usps.SurveysIdEmailEndpoint import SurveysIdEmailEndpoint


class SurveysIdEndpoint(
    USPSEndpoint,
):
    def __init__(self, client, parent_endpoint=None) -> None:
        USPSEndpoint.__init__(self, client, "{id}", parent_endpoint=parent_endpoint)
        self.email = self._register_child_endpoint(SurveysIdEmailEndpoint(client, parent_endpoint=self))
